package com.ruoyi.common.enums;

/**
 * 用户状态
 *
 * @author ruoyi
 */
public enum SysStatusEnum {

    OK(0L, "正常"), DISABLE(1L, "停用"), DELETED(2L, "删除");

    private final Long code;
    private final String info;

    SysStatusEnum(Long code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public Long getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
