package com.ruoyi.web.sspMarks.domain;

import com.ruoyi.common.annotation.Excel;

/**
 * 随手拍留痕上报表 smz_ssp_marks
 * 
 * @author gwb
 * @date 2021-04-06
 */
public class SspMarks
{
	private static final long serialVersionUID = 1L;
	
	/** id */
	private String id;
	/** 留痕上报地点 */
	@Excel(name = "留痕上报地点")
	private String marksLocation;
	/** 留痕时间 */
	@Excel(name = "留痕时间")
	private String marksTime;
	/** 留痕图片 */
	private String marksPicture;
	/** 留痕视频 */
	private String marksVideo;
	/** 工程类型 */
	private String projectType;
	/** 工序名称 */
	private String processName;
	/** 施工部位 */
	@Excel(name = "施工部位")
	private String positionPart;
	/** 留痕说明 */
	@Excel(name = "留痕说明")
	private String marksRemark;
	/** 审核人 */
	@Excel(name = "施工人员姓名")
	private String auditorPerson;
	/** 审核人手机 */
	private String auditorPhone;
	/** 审批状态 */
	private String checkState;

	/** 创建时间 */
	private String createDate;
	/** 创建人 */
	private String createUser;
	/** 项目id */
	private Integer projectId;
	/** 工程名称 */
	private String projectName;

	/**
	 * 施工人员身份证号码
	 */
	@Excel(name = "施工人员身份证号码")
	private String idcardnum;

	/**
	 * 给智能公司传递的url
	 */
	private String smarkUrl;

	/**
	 * 工程名称
	 */
	private String pointName;

	/**
	 * 监理人员
	 */
	private String surveyorName;

	/**
	 * 监理身份证号码
	 */
	private String surveyorId;

	/**
	 * 监理留痕时间
	 */
	private String surveyorTime;

	/**
	 * 监理留痕说明
	 */
	private String surveyorContent;

	/**
	 * 更新时间
	 */
	private String updateDate;


	/**
	 * 工程类型
	 */
	@Excel(name = "工程类型")
	private String  typeOfProject;

	/**
	 * 工序
	 */
	@Excel(name = "工序名称")
	private String  procedure;

	/**
	 * 工程名称
	 */
	@Excel(name = "工程名称")
	private String engineeringName;

	/**
	 *  留痕上报的id为1
	 */
	private int infoType;

	/**
	 * 开始时间结束时间
	 */
	private String startTime;
	private String endTime;

	/**
	 * 开始时间,结束时间
	 */
	private String beginDate;
    private String endDate;

	/**
	 * 同步状态 （0是已同步）
	 */
	private int synchronization;

	/**
	 * 查询参数
	 *
	 * @return
	 */
	private Integer nowPage;
	private Integer size;

	//工程关联字段
	private String name;

	/**
	 *  流程表的id
	 */
	private int mainId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	/**
	 * 设置：留痕上报地点
	 */
	public void setMarksLocation(String marksLocation) 
	{
		this.marksLocation = marksLocation;
	}
	
	/**
	 * 获取：留痕上报地点
	 */
	public String getMarksLocation() 
	{
		return marksLocation;
	}
	

	

	/**
	 * 设置：留痕图片
	 */
	public void setMarksPicture(String marksPicture) 
	{
		this.marksPicture = marksPicture;
	}
	
	/**
	 * 获取：留痕图片
	 */
	public String getMarksPicture() 
	{
		return marksPicture;
	}
	
	/**
	 * 设置：留痕视频
	 */
	public void setMarksVideo(String marksVideo) 
	{
		this.marksVideo = marksVideo;
	}
	
	/**
	 * 获取：留痕视频
	 */
	public String getMarksVideo() 
	{
		return marksVideo;
	}
	
	/**
	 * 设置：工程类型
	 */
	public void setProjectType(String projectType) 
	{
		this.projectType = projectType;
	}
	
	/**
	 * 获取：工程类型
	 */
	public String getProjectType() 
	{
		return projectType;
	}
	
	/**
	 * 设置：工序名称
	 */
	public void setProcessName(String processName) 
	{
		this.processName = processName;
	}
	
	/**
	 * 获取：工序名称
	 */
	public String getProcessName() 
	{
		return processName;
	}
	
	/**
	 * 设置：施工部位
	 */
	public void setPositionPart(String positionPart) 
	{
		this.positionPart = positionPart;
	}
	
	/**
	 * 获取：施工部位
	 */
	public String getPositionPart() 
	{
		return positionPart;
	}
	
	/**
	 * 设置：留痕说明
	 */
	public void setMarksRemark(String marksRemark) 
	{
		this.marksRemark = marksRemark;
	}
	
	/**
	 * 获取：留痕说明
	 */
	public String getMarksRemark() 
	{
		return marksRemark;
	}
	
	/**
	 * 设置：审核人
	 */
	public void setAuditorPerson(String auditorPerson) 
	{
		this.auditorPerson = auditorPerson;
	}
	
	/**
	 * 获取：审核人
	 */
	public String getAuditorPerson() 
	{
		return auditorPerson;
	}

	public String getMarksTime() {
		return marksTime;
	}

	public void setMarksTime(String marksTime) {
		this.marksTime = marksTime;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	/**
	 * 设置：创建人
	 */
	public void setCreateUser(String createUser) 
	{
		this.createUser = createUser;
	}
	
	/**
	 * 获取：创建人
	 */
	public String getCreateUser() 
	{
		return createUser;
	}
	
	/**
	 * 设置：项目id
	 */
	public void setProjectId(Integer projectId) 
	{
		this.projectId = projectId;
	}
	
	/**
	 * 获取：项目id
	 */
	public Integer getProjectId() 
	{
		return projectId;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getAuditorPhone() {
		return auditorPhone;
	}

	public void setAuditorPhone(String auditorPhone) {
		this.auditorPhone = auditorPhone;
	}

	public String getCheckState() {
		return checkState;
	}

	public void setCheckState(String checkState) {
		this.checkState = checkState;
	}

	public String getTypeOfProject() {
		return typeOfProject;
	}

	public void setTypeOfProject(String typeOfProject) {
		this.typeOfProject = typeOfProject;
	}

	public String getProcedure() {
		return procedure;
	}

	public void setProcedure(String procedure) {
		this.procedure = procedure;
	}

	public String getEngineeringName() {
		return engineeringName;
	}

	public void setEngineeringName(String engineeringName) {
		this.engineeringName = engineeringName;
	}

	public String getIdcardnum() {
		return idcardnum;
	}

	public void setIdcardnum(String idcardnum) {
		this.idcardnum = idcardnum;
	}

	public int getInfoType() {
		return infoType;
	}

	public void setInfoType(int infoType) {
		this.infoType = infoType;
	}


	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public int getMainId() {
		return mainId;
	}

	public void setMainId(int mainId) {
		this.mainId = mainId;
	}

	public String getSmarkUrl() {
		return smarkUrl;
	}

	public void setSmarkUrl(String smarkUrl) {
		this.smarkUrl = smarkUrl;
	}

	public Integer getNowPage() {
		return nowPage;
	}

	public void setNowPage(Integer nowPage) {
		this.nowPage = nowPage;
	}

	public Integer getSize() {
		return size;
	}

	public void setSize(Integer size) {
		this.size = size;
	}

	public int getSynchronization() {
		return synchronization;
	}

	public void setSynchronization(int synchronization) {
		this.synchronization = synchronization;
	}

	public String getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getSurveyorName() {
		return surveyorName;
	}

	public void setSurveyorName(String surveyorName) {
		this.surveyorName = surveyorName;
	}

	public String getSurveyorId() {
		return surveyorId;
	}

	public void setSurveyorId(String surveyorId) {
		this.surveyorId = surveyorId;
	}

	public String getSurveyorTime() {
		return surveyorTime;
	}

	public void setSurveyorTime(String surveyorTime) {
		this.surveyorTime = surveyorTime;
	}

	public String getSurveyorContent() {
		return surveyorContent;
	}

	public void setSurveyorContent(String surveyorContent) {
		this.surveyorContent = surveyorContent;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}
}
