import request from '@/utils/request'

// 获取部门
export const getMyDeptList = () => {
    return request({
        url: '/publics/deptTree',
        method: 'get'
    })
}
// 查询部门下拉树结构
export const getDeptTree = () => {
    return request({
      url: '/publics/deptTree',
      method: 'get'
    })
}
// 获取项目
export const getMyProjectList = () => {
    return request({
        url: '/publics/projectList',
        method: 'get'
    })
}
// 获取人员
export const getUserList = (data) => {
    return request({
        url: '/publics/userList',
        method: 'get',
        params: data
    })
}

