package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目保险对象 sur_project_insurance
 * 
 * @author JiangYuQi
 * @date 2023-08-09
 */
public class SurProjectInsurance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目主键 */
    private Long projectId;

    /** 安责险 */
    @Excel(name = "安责险")
    private String azxInsurance;

    /** 一切险 */
    @Excel(name = "一切险")
    private String yqxInsurance;

    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setAzxInsurance(String azxInsurance) 
    {
        this.azxInsurance = azxInsurance;
    }

    public String getAzxInsurance() 
    {
        return azxInsurance;
    }
    public void setYqxInsurance(String yqxInsurance) 
    {
        this.yqxInsurance = yqxInsurance;
    }

    public String getYqxInsurance() 
    {
        return yqxInsurance;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("azxInsurance", getAzxInsurance())
            .append("yqxInsurance", getYqxInsurance())
            .toString();
    }
}
